@using Microsoft.Extensions.Options
@using Microsoft.Identity.Web
@using System.Security.Claims
@inject IOptionsSnapshot<MicrosoftIdentityOptions> AzureADB2COptions

@{
    var options = AzureADB2COptions.Value;
}



@if (User.Identity.IsAuthenticated)
{
    @if (!string.IsNullOrEmpty(options.EditProfilePolicyId))
    {
        <li class="nav-item">
            <a class="nav-link text-dark" asp-area="MicrosoftIdentity" asp-controller="Account" asp-action="EditProfile">
                <span class="nav-text text-dark">Hello @User.Identity.Name!</span>
            </a>
        </li>
    }
    else
    {
        <li class="nav-item">
            <span class="nav-text text-dark">Hello @User.Claims.FirstOrDefault(c => c.Type == ClaimTypes.GivenName)?.Value!</span>
        </li>
    }
    <li class="nav-item">
        <a class="nav-link text-dark" asp-controller="Account" asp-action="SignOut">Sign out</a>
    </li>
}
else
{
    <li class="nav-item">
        <a class="nav-link text-dark" asp-area="MicrosoftIdentity" asp-controller="Account" asp-action="SignIn">Sign in</a>
    </li>
}